commit f45f7243c19554090458183fbb22e1659d3f8ae5
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Complete support for rc.conf.d
    
    - gendepends.sh needs to read this directory to allow dependencies to be
      overridden
      - init.sh for Linux and Bsd need to read it to allow config settings
        they use to be overridden.

commit afe64e5e4942a1508ed301d900ec3fe8178e1bb6
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    increment version number

commit a1acdeb92ead07f2dc60cb9796aaf5b4ea377713
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    update ChangeLog

commit b810473e4f7218afbb7047890860c15a8c45472b
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    man/openrc-run.8: Clarify documentation on dependencies and keywords
    
    Provide an example of using the -containers keyword and clarify
    documentation on some of the dependency functions.

commit 627e925463068e754ffd869f99a43634d6d9631e
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    add support for -containers keyword

commit f5cf1136e70502ee530f20f0434f312611b12b51
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Use systype variable for rc_sys call

commit a4038e11712d4c3f87f541f90be0b88f2903b82d
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    rc.conf.Linux: document the rkt keyword

commit a0cf8f91246ff4487b36d6432dab787e5b10957d
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Add detection for rkt containers

commit 9fedb3b40b5983372b2c2de29dfe321c6dfaadf4
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Add detection for docker containers

commit 635e33cdc8f18bb290756633ce0714c496383cfb
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    librc: comsolidate rc_sys_v1 and rc_sys_v2 into rc_sys
    
    These functions were never meant to be used outside of OpenRC, and they
    were added when we thought we were going to do away with the automatic
    detection of subsystems. Since the autodetection is not going away, we
    can combine these functions into rc_sys.

commit bd9456ff3172cc88f32d67bd4e789e2beee43595
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    rc-functions.sh: add support for user-defined want dependencies

commit 33d3f33b3ca7dd2ce616b8182d588d0743c2f124
Author: Ian Stakenvicius <axs@gentoo.org>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Implement "want" dependency
    
    The want dependency is similar to the use dependency. If a service
    script, for example called service1, adds "want service2" to its depend
    function, OpenRC will attempt to start service2, if it exists on the
    system,  when service1 is started.
    
    However, service1 will start regardless of the status of
    service2.
    
    X-Gentoo-Bug: 406021
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=406021

commit ddb895b355e02c9c07b00bfaf00d1bf8a7abbc03
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    conf.d/netmount: typo fix
    
    X-Gentoo-Bug: 564846
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=564846

commit 085d77f17e3bedd23ffa96fe7e4eb8515ae8bfc6
Author: Benda Xu <heroxbd@gentoo.org>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Standardize macro tests for gnu hurd
    
    This also fixes breakage of GNU/hurd builds introduced by commit 3f82edbeb92.

commit c831f1f994e187afd8edfff15e4063b99440bbcb
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    librc: rework overriding rc.conf options from the kcl
    
    Rename the rc_conf_override function to describe its purpose better,
    drop one conditional compile by making it available everywhere, and move
    the call to it after the optional rc.conf.d directory is processed.

commit 591aea28215a8b5ad8660184dc6f6f15ff0c18b4
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    librc: Remove redundant code from rc_config_load

commit c09eeca49145b034df6527c500099ba22f28e824
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Add rc.conf.d support
    
    This makes it possible to override settings in rc.conf by adding a
    directory @SYSCONFDIR@/rc.conf.d and putting files in this directory.
    The files will be processed in lexical order, and the last setting in
    these files will be used.

commit 4cf6b0ecf7f5b35a6d80d76c60e77c3e1c7fee5c
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    consolefont: add after modules to dependencies
    
    X-Gentoo-Bug: 559540
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=559540

commit ee944553a9ea35622046bd1ab5657fd416a7019a
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    bootmisc: optionally save the previous dmesg log
    
    X-Gentoo-Bug: 561204
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=561204

commit 6cae41a4e63510cdcf3af1153d6e8300435e1838
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    etc/rc.conf: Clean up documentation for rc_hotplug
    
    X-Gentoo-Bug: 554540
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=554540

commit 960881fcfe974178c0846a816663a258cdd488cc
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Add net-online service

commit d26013494db8ea8699db9815ef4c4b0eb2f55e7f
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    mtab: typo fix

commit b29b2fb3cb3e73b4453483ced908f0ef10e47e9c
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    mtab: make /etc/mtab as a file configurable

commit 7da72ce487a8d92d992e7fd3db881c198ae02609
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    openrc-run.sh: fix new required_* tests to exit properly

commit fc777aeaf3e6e2d47f4599acfe6c8d1bf5bc760a
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    typo fix
    
    X-Gentoo-Bug: 563010
    X-Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=563010

commit 9d53d436ae22d6f0f6fc1537e836dd1b4d31cf35
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    sysfs: consolidate cgroup processing code in a single function

commit b81317bdf8e3eed8b8ff2bef757ba29f362ed297
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    mountinfo: make sure the netdev variable is initialized on Linux
    
    This fixes the following regression:
    
    X-Gentoo-Bug: 562668
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=562668

commit 29f7e335927d4c1fb151124de8cdf01fb87723fa
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    openrc-run.sh: allow spaces in required_{files,dirs}
    
    X-Gentoo-Bug: 562320
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=562320

commit 850ca030777cb0c3e2fb03d9ab1f0ccee7b89e93
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    increment version number

commit 050ddfae4ad1ad0dc5993766e0bd90739bd41de9
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Update ChangeLog

commit d5116cc697c9eb275ab8497939ab41504e5ce578
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    localmount: white space cleanup

commit b86d170037197d7bdcda57c7d4c09c17bda97f31
Author: Ian Stakenvicius <axs@gentoo.org>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    localmount: clean up handling of aufs branches
    
    X-Gentoo-Bug: 560008
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=560008

commit 6fa0d6318bcd5c98548cff2ff840bca116892ca5
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    mtab: fix update logic
    
    This advises users to remove mtab from their runlevels if /etc/mtab is a
    symlink, and it creates the symlink if /etc/mtab does not exist on a
    system.
    
    X-Gentoo-Bug: 560060
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=560060

commit 80d3928b0d13f09a9c1e82bd27c9fff943d84d43
Author: Austin S. Hemmelgarn <ahferroin7@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    cgroups: Add the hugetlb, net_cls and pids controllers
    
    Note from WilliamH: I slightly rearranged the code and added the
    settings in rc.conf.
    
    X-Gentoo-Bug: 555488
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=555488

commit 17ef205bc63a4e231dccee719394a7a8563f8c3f
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    sysfs: use printf instead of echo to write to cgroup files
    
    This is needed for compatibility with musl and printf is also posix.
    
    X-Gentoo-Bug: 562334
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=562334

commit b20a1951adf9a705a903fb3047b7ef26c013103c
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    rc-cgroup.sh: Do not add leading spaces to cgroup values
    
    We were starting the value we write to the cgroup setting file with
    leading spaces and this was causing issues. This change makes sure that
    we aren't adding leading spaces to the value.
    
    X-Gentoo-Bug: 562354
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=562354

commit bf0c0dd5644436efe4986c2b259b755d111266b9
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    bootmisc: convert errors in clean_run function to warnings
    
    X-Gentoo-Bug: 552418
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=552418

commit 1558ad2b9ebf319b85876a940d31d513bf21324f
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    bootmisc: only remove temp directory if umount is successful
    
    Change the clean_run function to only remove the temp directory if the
    umount was successful.
    
    X-Gentoo-Bug: 561230
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=561230

commit 5f4f2420364098835522da868a9e75205c9e4f9c
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    mountinfo: fix --netdev and --nonetdev on Linux
    
    On Linux, the --netdev and --nonetdev switches were not working. They
    were both returning false. After this change, they operate based on the
    presence or abscence of the _netdev option in mount options.

commit b3f7ff901f7d3ed00b9f73c601193ac507f62eaf
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    mountinfo: read /proc/self/mounts instead of /proc/mounts on Linux

commit a59365a582c3a8c9a8b863b572fddcb65fccadfd
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    start-stop-daemon.sh: complain in start if command is undefined
    
    The default start-stop-daemon start function expects the command
    variable to be defined to point to the daemon we want to start.
    
    If the variable is undefined, this means that there will be nothing to
    start, and in this case we should complain because it is possible that
    the script writer made a typo in the variable name.

commit dac5966ca40610797d2b2aabef17154ca3dc20af
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Revert "local/netmount: remove uses of -O [no]_netdev"
    
    This reverts commit 2a439c85bd69efc14847b4397bd6783cac051405.
    There is another use case for -O involving iscsi, so we can't remove it.

commit 3b6a6df4b5b818e576a88444632d5c73cffd1c57
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    openrc-run: rename some dependency variables and a function for clarity
    
    All of the dependency type lists had the types_ prefix in their names;
    this has been changed to deptypes_ to make them more self documenting.
    
    Along the same lines, the setup_types function was renamed
    setup_deptypes.

commit b047ea47e97d7e8b96d6d0e064613f6860c8eb36
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    localmount/netmount: on Linux, fail if some file systems do not mount
    
    The following return codes are returned by mount -a:
    
    0:  all file systems mounted.
    32: no file systems mounted.
    64: some file systems mounted.
    
    The localmount/netmount services should fail if all file systems that
    should mount did not mount.

commit b652752339690e10a55ae50d046f4cf2a98daf1a
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Make localmount and netmount always succeed on non-linux

commit 2a439c85bd69efc14847b4397bd6783cac051405
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    local/netmount: remove uses of -O [no]_netdev
    
    This was causing an incompatibility with busybox, and we do not use it
    in Gentoo.

commit 7341cd882fba522c1f1d183603334839bd4df7fc
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    allow localmount and netmount to fail

commit 279f1e5d1013309d99509ab4b7b57521f8a4aba4
Author: Mike Frysinger <vapier@gentoo.org>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    binfmt: fix indent on return

commit c256a7aa80c683eca6194c80b57294e4d51c9a16
Author: Doug Freed <dwfreed@mtu.edu>
Commit: Doug Freed <dwfreed@mtu.edu>

    savecache: clean up implementation
    
    X-Gentoo-Bug: 557222
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=557222

commit 6a422982579786cb8308af04ccca6622afa06e50
Author: Jason Zaman <jason@perfinion.com>
Commit: Doug Freed <dwfreed@mtu.edu>

    tmpfiles: run restorecon on the entire path
    
    The tmpfiles "d" entry will create a full path and only the last dir in
    the path will have its SELinux label set correctly. This patch will
    restorecon the parents as well so that the selinux labels are correct.
    
    eg, "d /run/libvirt/lxc", then "lxc" would have the correct SELinux
    label but "libvirt" would not.
    
    Signed-off-by: Jason Zaman <jason@perfinion.com>

commit f69833a1e17d1cf65e96a34fcc0e48caf9d90d64
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    mountinfo: fix -e and -E options
    
    Add the -e and -E options to getoptstring so they are recognized.

commit eeadca0b8a5b87c26e60a58563251604350a7a3b
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Add EERROR_QUIET and EINFO_QUIET to environment whitelist

commit dde339070b4850dc1fadf4992cc01d3468992106
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Increment version

commit 1736be3bc3ebbc1440f87b49fc353e81fb0a6037
Author: Doug Freed <dwfreed@mtu.edu>
Commit: Doug Freed <dwfreed@mtu.edu>

    savecache: Fix unable to create cache message
    
    The cache is created in $RC_LIBEXECDIR, not $RC_SVCDIR, so fix the error
    message when we fail to create it to match.

commit a36a635b016a7427dd1739a26c951fedf22f0dec
Author: Mike Gilbert <floppym@gentoo.org>
Commit: Doug Freed <dwfreed@mtu.edu>

    tmpfiles: Recognize type 'v' (create btrfs subvol)
    
    This change does NOT implement btrfs subvol creation.  Instead, it
    treats 'v' the same as 'd', which is an acceptable fallback
    according to the manual.
    
    Fixes #58

commit 9310ccc06bcadd8897aed51cd51c94fccb7d9c07
Author: Mike Gilbert <floppym@gentoo.org>
Commit: Doug Freed <dwfreed@mtu.edu>

    Remove execute bit from tmpfiles.sh.in

commit 0c2e4eb3cd7935d375b74099a3a9a5fe519e6cab
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Update ChangeLog

commit d2ce07e227ec95370e8aee5f1199edc6ad61aff9
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Add rc-sstat script
    
    The rc-sstat script is written to display status of s6 services and
    run rc-status to display all services status.
    
    This currently only works on Linux.

commit b209fe3859c05c286037843bb34058f849c54b15
Author: Mike Gilbert <floppym@gentoo.org>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    bootmisc: Don't call dmesg in systemd-nspawn containers
    
    This fixes #57.

commit c94c8288cd5217b01c24d6f048c64ebbc30bee02
Author: Mike Frysinger <vapier@gentoo.org>
Commit: Mike Frysinger <vapier@gentoo.org>

    fix link to s6 website

commit bcb9c44e73ccf332c7c961a6f82520699c6e776d
Author: Mike Gilbert <floppym@gentoo.org>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    man: Document the stopsig variable
    
    This variable can be used to set the signal to send if the service is
    using start-stop-daemon.
    
    This fixes #56

commit bbabf546f9d72cbfc48bd839a6d01b402ee6cced
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Document bash's handling of ulimit options
    
    When bash is used in posix mode for the shell, the ulimit command uses
    a block size of 512 bytes for the -c and -f options.
    
    X-Gentoo-Bug: 549238
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=549238

commit a7fcc1e264b035177b4e524a40b27145baa86969
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    S6: kick the scanner and sleep 1.5 seconds to avoid a race condition

commit b79d058f162d8b49ccc968744e7cb1b7a7ba729c
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    s6: Use s6-svc -Dd to stop services
    
    This allows us to get rid of the sleep call in the stop function. Also,
    we set a configurable timeout value for stopping daemons.

commit ddce529c71c2e9f01d8e5666e27050b6ed6c6761
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    More s6 fixes
    
    - When no service link is in the scan directory, show the default
      stopped message.
    - Do not remove the service link when stopping the service.

commit e372f97bebd4866633ad56aa5d5b1ae59fa88118
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Fix the s6 handling
    
    This changes the default s6 service directory to /var/svc.d, also
    it changes the code to work with the individual services instead of
    forcing a rescan when a service is started or stopped.

commit c2abf4b436b8cca8ebed395ff08f5fdc546eadac
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Start work on 0.17

commit d247ac4cbbe0ab62564ef82a5940b4f1a03973b3
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Update changelog

commit bb2d7becfd3008379f8f69b5d036922281aa211f
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Add support for the s6 supervision suite

commit 0f9354becfbd54f9800c93092aa26be859dcf16a
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    man: Clarify the documentation for command_args
    
    The command_args variable only works if using start-stop-daemon to start
    the daemon.

commit a15fa1a3b12a5372c1b3c8d5df7e489648bef913
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Rework supervisor integration framework
    
    The original way of doing this allowed users to change the supervisor in
    conf.d/*. This changes this so that the supervisor setup can be done in
    the service script itself.

commit 0198affc742297b6e203bbcecc14436682119cc7
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    The rc_supervisor variable is a service configuration variable
    
    This variable should not be changed globally unless you really know what
    you are doing.

commit abef2fcb2dbcc277bb05f0d9c674d4b47826f17f
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Make the default start, stop and status functions overridable
    
    This will make it possible to add support for supervision suites such as
    runit and s6.

commit 0b435ddd834bd18254c4d3341acdebf0829921f5
Author: Jakob Drexel <jake42@rommel.stw.uni-erlangen.de>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    librc: Fix crash if the service name is the same as the including runlevel
    
    If a service has the same name as the runlevel it is in, openrc will
    crash on changing to such runlevel. It goes in a recursive madness and
    eventually gets a SEGV while in snprintf (don't know why).
    
    This fixes two errors:
    1. ls_dir stats files not with full path -> stat always returns != 0
    2. ls_dir adds files to list if stat failed
    
    This fixes #53.
    
    X-Gentoo-Bug: 537304
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=537304

commit 9f6427ea57c6c950b4d1c356ad1bfb0aa8deb40b
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Start work on 0.16

commit 60488069c08201cbfbc661a3e7bd1fafa31fceed
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    update ChangeLog

commit 9225bfa6918cfd488c8f1055cf986b542f1f157e
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Build: make snapshot remove .git directory from tarball

commit 7bd456ed7bf35da2d7a53650baa33637e178064e
Author: Mike Gilbert <floppym@gentoo.org>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Disable service scripts for systemd-nspawn
    
    This adds the -systemd-nspawn keyword to service scripts which are not
    intended to run in systemd-nspawn containers.
    
    This fixes #52.
    
        X-Gentoo-Bug: 548058
        X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=548058

commit c709e6077c6eda3f4f7e7222298213413254ee0f
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Add support for systemd-nspawn containers
    
    This adds support for running OpenRC in a container created by
    the systemd-nspawn utility.
    
    This fixes #52.
    
    X-Gentoo-Bug: 548058
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=548058

commit a27d577da8cf4f1c7f9784a043ecf02d71a81ca6
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Build: fix the dist target
    
    The dist target now creates an archive based on the version setting.
    This makes it possible to create an archive identical to the ones github
    generates once the release is tagged.

commit 8b9349208696e5caed1a8b34f066cec4ee642194
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    convert all references from runscript to openrc-run

commit 4b1b457cd15cc1609c101b99a49a5e4c67b62567
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Start work on 0.15

commit 1d6602bb8e7062323ead03eaa0c4ae307c517b9e
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Add ChangeLog

commit a6391f44ee6c68d674ae8425983467b971710d5d
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    mtab: move toward requiring /etc/mtab to be a symbolic link
    
    This changes the mtab service in the following way:
    
    - If /etc/mtab is a symbolic link, success is returned.
    - If /etc is not writable, we warn that we could not update /etc/mtab
      and return success.
    - If /etc/mtab does not exist, we create a symbolic link from
      /etc/mtab to /proc/self/mounts.
    - Otherwise, we warn that updating /etc/mtab as a file is
      deprecated and continue to update it after outputting instructions to
      the user for how to move it to a symbolic link.

commit a8c6dbac96a20eb35ce55befe0e64d89dd30de4d
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    typo fix in NEWS
    
    The binfmt service should be added to the boot runlevel, not sysinit.

commit a7c0400177e504fe07e7c39168b7a92e40ab334a
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Update news

commit 03803ae8e966755e8bf6d52b61209792cb830cf4
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    start-stop-daemon: redirect stdin if --background option is used
    
    X-Gentoo-Bug: 498684
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=498684

commit 1c2f7bf607ee7e24dca0a2710cef9e9b24e819f7
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Convert feature removal schedule to markdown

commit 1ebffa517f6f1dafc206d5ee943d3cacd25feaf6
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Convert news to markdown

commit e6dd26d185e4a9722f4d4813a084ca77eba913c7
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    convert README.history to markdown

commit 628b35e1beeea6aaab181b1511b2a879bdc45b61
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Update busybox documentation
    
    Convert README.busybox to markdown and add the note on the sysctl applet
    incompatibility.

commit ebc32aadada564095b70f0ff439a9863102a2ae5
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Convert style guide to markdown

commit 362dfa33804d2ba5bed241f697aac0178be07d3d
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    README.md: small formatting changes

commit dccc0a91292240022c4b120304b9198055d0d240
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Update README.md format and bug reporting information

commit c2aa56a7c49214b1fef355f79dfcd94265efe089
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Rename README README.md
    
    This fixes #26.

commit 23d806ca24845261fd89104c16bc28a60505fe5c
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    savecache: clean up creation of cache directory
    
    The cache directory should be created via mkdir -p instead of
    mkdir. This makes sure all parent directories are created.
    
    Also, we now display an error message explaining that we were unable to
    create the cache directory if creation fails.

commit de7d184909d561b68b411325d32471c047549bca
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    savecache: fix check for $RC_LIBEXECDIR writability
    
    We were originally checking to see if $RC_LIBEXECDIR/cache was writable. For
    a new install, this check will fail since this path does not exist. This
    is also incorrect because later we create $RC_LIBEXECDIR/cache.
    
    The correct check is checkpath -W $RC_LIBEXECDIR, and this fixes the
    issue.
    
    X-Gentoo-Bug: 544632
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=544632

commit 15ab3f39c69ff8d69fd08a9cde7495a04b4dec9e
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    cgroups: use printf to write to cgroup files
    
    This fixes #33.

commit ee1768a419122d288256cce1723d4997bd965eab
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Add binfmt service to sysinit runlevel
    
    This makes binfmt processing behave like tmpfiles processing which
    follows the same specification as systemd.
    
    This fixes #48.
    
    X-Gentoo-Bug: 545162
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=545162

commit 95ed0665393c353dbc24afb8c63c615402136f5d
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    procfs: do not force loading of usbcore module
    
    It appears that the only reason we were force loading the usbcore
    module was to facilitate mounting usbfs. Since we no longer mount
    usbfs, this is no longer necessary.
    
    X-Gentoo-Bug: 480312
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=480312

commit 4c5132421f37bd6831eab1f9527a197340f2e9ae
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    procfs: remove usbfs and usbdevfs support
    
    The usbfs and usbdevfs file systems have been deprecated since
    Linux-2.6.32, so we remove the code to automount them.
    
    X-Gentoo-Bug: 480312
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=480312

commit 6d81d3be1bcba81a68086f2a17561d13e1f844e6
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    procfs: do not test for the existence of /proc/filesystems
    
    The test for the existence of /proc/filesystems is redundant since we
    always return success.

commit 8d307a6fadd516f26d9c72016119277a7a5c1946
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    procfs: remove redundant check for OpenVZ
    
    The check for OpenVZ is not necessary since the procfs service already
    will not run on OpenVZ due to the keywords setting.

commit 62addf118067dd2cd57c3f5fee35c9e80f9fec42
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Move SELinux mount to sysfs service
    
    The selinux file system is mounted under /sys, so move the code for it
    to the appropriate service.
    
    X-Gentoo-Bug: 546290
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=546290

commit 1eab656ca1d3258ff00495710a68ad459ce50d3e
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Fix tmpfiles processing
    
    Tmpfiles.d processing had /run overriding /usr/lib and /etc, but this is
    not correct. The correct order, from lowest to highest, for tmpfiles
    processing is:
    
    * /usr/lib/tmpfiles.d/*.conf
    * /run/tmpfiles.d/*.conf
    * /etc/tmpfiles.d
    
    This means /run/tmpfiles.d/*.conf can override /etc/tmpfiles.d/*.conf,
    but /etc/tmpfiles.d/*.conf can override both of them.
    
    This fixes #49.

commit 731a3affdce31e2971a84cde11df2d122049ec99
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Fix script execution in the local service
    
    The local service should use eval when it executes scripts since it has
    the redirection set up in a variable.
    
    This fixes #50.
    X-Gentoo-Bug: 545012
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=545012

commit 3e9bb3b021620654f99a0ead71ed73d34b5c6826
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Make sysctl on Linux respect rc_verbose setting
    
    We do not need to spam the console with variable settings by default.
    This fixes #51.
    
    X-Gentoo-Bug: 541922
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=541922

commit c068762c4cf49e7ea9719dcab2e5f7d4c4e7e2e5
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: Doug Freed <dwfreed@mtu.edu>

    Fix rc_verbose processing
    
    We were processing the rc_verbose setting before we sourced the
    configuration file where it was set; this fixes the issue.
    
    Fixes #46

commit b8ab99b5d3ee1a93f215157c36fb120857afde64
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    checkpath: Remove the last HAVE_SELINUX test

commit a4cf61e8bf827dc405a547c314e840dab11fc979
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    selinux: unconditionally include the header and provide stub methods
    
    If selinux is disabled, then stub methods will be provided instead of
    calling the real methods. This removes some warnings about unused
    parameters which used to be covered up with #ifdef HAVE_SELINUX.
    
    Signed-off-by: Jason Zaman <jason@perfinion.com>

commit d38cc8f2210e839c4935208917138e4809ece758
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    checkpath: fix warning about selinux_on being unused

commit f085ae400c60289f61d99e9e80ce037beedf38b4
Author: Doug Freed <dwfreed@mtu.edu>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Fix some compiler warnings
    
    librc: Fix C90 warning (mixed declaration and code)
    rc: Fix warning about discarding const qualifier
    
    Fixes #45.

commit c1faafcad8197a821282b8e56a10132e27eb5d9f
Author: Will Miles <wmiles@sgl.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    start-stop-daemon: Fix regression for --test
    
    The previous fix to --test (PR #34) prevented reading one too many
    arguments when --exec -or --name was not specified, but created a
    regression where the last argument would not print if either of those
    arguments was specified. This corrects the issue.
    
    Fixes #41.

commit de93587affb17675e6f7cab2b85613d61e11b98b
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: Doug Freed <dwfreed@mtu.edu>

    Silence warning about _DEFAULT_SOURCE for Linux/glibc
    
    In >=glibc-2.20, the _BSD_SOURCE macro is deprecated in favor of
    _DEFAULT_SOURCE. This adds -D_DEFAULT_SOURCE to CPPFLAGS on Linux.
    
    Fixes #44

commit be497229b64613ebfbc4073985107a275d49f78e
Author: Anthony Donnelly <Amzo@archbsd.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Fix savecore service on FreeBSD
    
    savecore -C only needs the dumpdevice otherwise it causes an error on startup.
    
    This fixes #40.

commit e16b7183e90090ecee539697508582d208859a8b
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    mk/os-GNU.mk: fix typo
    
    MAX_PATH should have been PATH_MAX

commit ccd83a5e9cc24833e1ab098cac1688f69ab6e9b6
Author: Will Miles <wmiles@sgl.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    savecache: Make sure cache directory exists before running checkpath
    
    checkpath -W can fail if the specified path doesn't actually exist yet.
    In this case savecache script should attempt to create the path if it is
    missing, however it is pre-empted by the checkpath call.  This patch adds
    an explicit existence test before executing checkpath.
    
    This fixes #36.

commit 7bbb73574b44972b0c1b364e24f71623068d7a1c
Author: Robin H. Johnson <robbat2@gentoo.org>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    bootmisc: clean_run safety improvements.
    
    If /tmp or / are read-only, the clean_run function can fail in some very
    bad ways.
    
    1. dir=$(mktemp -d) returns an EMPTY string on error.
    2. "mount -o bind / $dir", and don't check the result of that,
    3. "rm -rf $dir/run/*", which removes the REAL /run contents
    4. box gets very weird from this point forward
    
    Signed-Off-By: Robin H. Johnson <robbat2@gentoo.org>
    Signed-Off-By: Chip Parker <infowolfe@gmail.com>
    Reported-by: Chip Parker <infowolfe@gmail.com>
    Tested-by: Chip Parker <infowolfe@gmail.com>

commit a0378f38713e630e1af9101c2ece5d27ca2130fe
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    checkpath: do not chown or chmod symbolic links
    
    This is another security fix. If you use chown() or chmod() on a
    symbolic link, it affects the referenced file, not the symbolic link
    itself.
    
    X-Gentoo-Bug: 540006
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=540006

commit 423f82bae9f91f1f5a27d30a2542d8884c6f757a
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    ChangeLog: show authors and committers

commit 9dfb85d5d236dd126d13d039eb02a97aa0e6c8ac
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    local: fix redirections
    
    The local service now redirects stdout and stderr for the scripts it
    runs to /dev/null unless it is run in verbose mode.
    
    X-Gentoo-Bug: 537444
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=537444

commit 6781667641580fef852ccffc2f42d060f791b354
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    typo fix

commit b17af3c85fc94ecc12857146ba2133a3782ead52
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    checkpath: security fix for -m and -o options
    
    Do not change permissions on the target if it is a file and has multiple
    hard links. This is necessary because a hard link can be an attack
    vector to gain privilege escalation.
    
    X-Gentoo-Bug: 540006
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=540006

commit 3100114bc104741145fb6c1d4b1664759114cc5c
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Add nfsclient to netmount use dependencies
    
    X-Gentoo-Bug: 537996
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=537996

commit 3f80f22e22ec16ed517397fd303c3df99f9340fc
Author: Will Miles <wmiles@sgl.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Prioritize local includes and libraries
    
    This fixes #35.

commit 8250ac94dfc6156075081e0e2d0986cb51b3098d
Author: Consus <consus@gmx.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    tmpfiles.*: Follow OpenRC's message style
    
    Just to be consistent.

commit fbdd669ba7c5d1a67129236b4ffcd76198340a1b
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Makefile: add variable for path to source tree
    
    Add a new variable, ${TOP}, to the top level makefile, which points to
    the path of the source tree.

commit cddb4aad08615420320f75050042d946b18d2bb5
Author: Will Miles <wmiles@sgl.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Fix off-by-one error in --test argument printout in start-stop-daemon.
    
    Fixes #34.

commit 3c5dc0ec7774a72e243da43ac5180ea36a311ad8
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    tmpfiles.dev: pass --boot to tmpfiles.sh so kmod works properly

commit 7e3a33c8f5ccae03e035cf4c9d1c3c01a0f57b1e
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Add description for cgroup_cleanup
    
    X-Gentoo-Bug: 535184
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=535184

commit 74478830a8d035c078e986b57efd40a5c48bc896
Author: Doug Freed <dwfreed@mtu.edu>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    fix double free of pidfile
    
    This fixes a double free of the pidfile variable. For discussion of this
    issue, see the bug.
    
    X-Gentoo-Bug: 531600
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=531600
